# Generate AccessTokens

You must have SSI service secret key and KYC service secret key with you before proceeding to this step.&#x20;

In order to use APIs of your services, you need `accessToken` generated using your API secret keys. Generate accessToken by calling **Service Authentication API** using API secret keys. You might want to **implement an API** in your backend which will call **Service Authentication API** to generate accessTokens for SSI and KYC services, so that your API secrets are not exposed in your frontend or anywhere else.

Let's call these accessToken as `kycAccessToken` and `ssiAccessToken` for KYC service and SSI service respectively.

{% content-ref url="/pages/1ECe3zbGhbIj5m8Yls2F" %}
[Service Authentication API](/hypersign-ssi/api-doc/authentication.md)
{% endcontent-ref %}

Once you have both `kycAccessToken` as well as `ssiAccessToken`you may now proceed to frontend integration of the KYC widget.

{% content-ref url="/pages/cMqE7034c0k5zu83OOav" %}
[Frontend Integration](/hypersign-kyc/kyc-widget/integrations/frontend-integration.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hypersign.id/hypersign-kyc/kyc-widget/integrations/backend-integration/generate-accesstokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
